function [deltaT] = reg_deltaT(tobs)
%reg_deltaT Calculation of the maximal computational time step
% (proposed time step)
% The observations times, tobs, having been converted into integers and
% sorted, this function returns the smaller greatest common divisor (pgcd) of
% the gaps between 2 consecutive times.

%% ===========================================
deltaT= min(gcd(tobs(1:end-1), tobs(2:end)));
end % fin reg_deltaT
